CC := gcc
FLAGS := -lm
OUT := ./test.out

SOURCES := $(shell find -L . -type f -name "*.c")
OBJECTS := $(SOURCES:.c=.o)

make: test.out
	$(OUT)

%.o: %.c
	$(CC) $(FLAGS) -c -MD -MP -o $@ $<

$(OUT): $(OBJECTS)
	$(CC) $(FLAGS) -o $@ $^


clean:
	rm -f $(OBJECTS) $(OUT)

.PHONY:= make

-include $(OBJECTS:.o=.d)
